summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtestsuite/title-case.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/testsuite/title-case.sh b/testsuite/title-case.sh
index 9257a59..7d0d559 100755
--- a/testsuite/title-case.sh
+++ b/testsuite/title-case.sh
@@ -26,8 +26,8 @@ c='\363' # sigma
printf "$a\\n$b\\n$c\\n" >in || framework_failure_
for chr in "$a" "$b" "$c"; do
- printf '/\(\)\\1'"$chr"/Ip >prog || fail=1
- LC_ALL=el_GR.iso88597 sed -n -f prog in >out || fail=1
+ printf '/()\\1'"$chr"/Ip >prog || fail=1
+ LC_ALL=el_GR.iso88597 sed -r -n -f prog in >out || fail=1
compare_ in out || fail=1
done